%define snap	0
%define rel	5

%define major	6
%define libname	%mklibname cec %major
%define devname	%mklibname cec -d

Name:		libcec
Version:	6.0.2
%if %snap
Release:	%mkrel -c git%{snap} %rel
%else
Release:        %mkrel %rel
%endif
Summary:	Pulse-Eight CEC adapter control library
License:	GPLv2+
Group:		System/Libraries
URL:		https://libcec.pulse-eight.com/
%if %snap
# rm -rf libcec && git clone git://github.com/Pulse-Eight/libcec.git && cd libcec/
# git archive --prefix=libcec-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../libcec-$(date +%Y%m%d).tar.xz
Source0:	%name-%{snap}.tar.xz
%else
Source0:	https://github.com/Pulse-Eight/libcec/archive/libcec-%version.tar.gz
%endif
# Fix FTBFS with Python 3.13
Patch2:		libcec-python13.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(lockdev)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(p8-platform)
BuildRequires:	pkgconfig(python3)
BuildRequires:	swig

%description
With libcec you can access your Pulse-Eight CEC adapter.

%package -n cec-utils
Summary:	Utilities for Pulse-Eight CEC adapter control
Group:		System/Kernel and hardware
# the binaries require the library, but automatic dependency generation doesn't
# catch that
Requires:	%libname = %version

%description -n cec-utils
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the command-line tools to configure and test your
Pulse-Eight CEC adapter.

%package -n %libname
Summary:	Shared library for Pulse-Eight CEC adapter control
Group:		System/Libraries

%description -n %libname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the shared library which allows programs to access your
Pulse-Eight CEC adapter.

%package -n %devname
Summary:	Development files for %name
Group:		Development/C
Requires:	%libname = %version
Provides:	cec-devel = %version-%release
Provides:	%name-devel = %version-%release

%description -n %devname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the files for developing applications which
will use libcec.

%prep
%if %snap
%autosetup -p1 -n %name-%{snap}
%else
%autosetup -p1 -n %{name}-%{name}-%{version}
%endif

%build
%cmake -DHAVE_LINUX_API=ON

%cmake_build

%install
%cmake_install

%files -n cec-utils
%license COPYING
%doc AUTHORS README.md
%{_bindir}/cec-client*
%{_bindir}/cecc-client*
%{_bindir}/pyCecClient
%{python3_sitelib}/*

%files -n %{libname}
%license COPYING
%doc AUTHORS README.md
%{_libdir}/%name.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS
%{_libdir}/%name.so
%{_libdir}/pkgconfig/%name.pc
%{_includedir}/%name/


%changelog
* Wed Mar 05 2025 daviddavid <daviddavid> 6.0.2-5.mga10
+ Revision: 2160959
- add fedora patch to fix build with py3.13
- rebuild for python 3.13

* Sun Feb 11 2024 daviddavid <daviddavid> 6.0.2-4.mga10
+ Revision: 2040279
- rebuild for py3.12

* Sat Mar 26 2022 umeabot <umeabot> 6.0.2-3.mga9
+ Revision: 1827836
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 6.0.2-2.mga9
+ Revision: 1787165
- rebuild for python-3.10

* Wed Jan 26 2022 mrambo3501 <mrambo3501> 6.0.2-1.mga9
+ Revision: 1769812
- version 6.0.2
- major bumped from 5 to 6

* Wed Apr 29 2020 daviddavid <daviddavid> 5.0.0-1.mga8
+ Revision: 1573144
- new version: 5.0.0
- now libmajor is 5
- enable Linux native CEC support

* Sat Feb 15 2020 daviddavid <daviddavid> 4.0.4-3.mga8
+ Revision: 1525898
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 17 2019 daviddavid <daviddavid> 4.0.4-2.mga7
+ Revision: 1378260
- new version: 4.0.4

* Sun Sep 23 2018 umeabot <umeabot> 4.0.2-2.mga7
+ Revision: 1298782
- Mageia 7 Mass Rebuild

* Fri Feb 10 2017 eatdirt <eatdirt> 4.0.2-1.mga6
+ Revision: 1085649
- Upgrade to version 4.0.2

* Mon Feb 08 2016 umeabot <umeabot> 2.2.0-2.mga6
+ Revision: 950845
- Mageia 6 Mass Rebuild

* Sat Nov 22 2014 anssi <anssi> 2.2.0-1.mga5
+ Revision: 798310
- add new buildrequires on X11 libs
- new version 2.2.0 (required by kodi)

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-4.mga5
+ Revision: 744725
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-3.mga5
+ Revision: 681374
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.1.3-2.mga4
+ Revision: 545165
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 2.1.3-1.mga4
+ Revision: 500873
- new version 2.1.3

* Thu Mar 28 2013 colin <colin> 2.1.1-1.mga3
+ Revision: 406066
- New version: 2.1.1 (needed for XBMC)

* Wed Jan 23 2013 fwang <fwang> 2.0.5-3.mga3
+ Revision: 391207
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.0.5-2.mga3
+ Revision: 356917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 2.0.5-1.mga3
+ Revision: 343697
- new version 2.0.5

* Sat Sep 29 2012 anssi <anssi> 1.9.0-1.mga3
+ Revision: 300325
- switch to latest release tarball 1.9.0
  o fixes accidental API change
- drop now unneeded API patch

* Mon Sep 17 2012 colin <colin> 1.9.0-0.git20120916.0.1.mga3
+ Revision: 295034
- New version: 1.9.0
- Add patch (submitted upstream) to fix compilation errors.
- Drop an apparently unneeded patch to fix includes.
+ fedya <fedya>
- files uploaded
- version update 1.8.1 20120816

* Fri Jun 29 2012 dmorgan <dmorgan> 1.5-0.git20120305.3.mga3
+ Revision: 265030
- Add P1: Fix includes
+ colin <colin>
- Rebuild against new libudev major

* Mon Jun 04 2012 colin <colin> 1.5-0.git20120305.2.mga3
+ Revision: 253949
- Load the cec library with it's major number (mga#5716)

* Mon Mar 05 2012 doktor5000 <doktor5000> 1.5-0.git20120305.1.mga2
+ Revision: 219378
- imported package libcec, initially created for Mageia

